if [ "$1" = 'pre-export' ]; then
libraryversioncheck() {
- LIBRARY="$1"
- VERSION="$2"
+ local LIBRARY="$1"
+ local VERSION="$2"
if [ ! -e "debian/${LIBRARY}${VERSION}.symbols" ]; then
echo >&2 "Library ${LIBRARY} in version ${VERSION} has no symbols file! (maybe forgot to rename?)"
exit 1
fi
sed -i -e "s/^PACKAGE_VERSION=\".*\"$/PACKAGE_VERSION=\"${VERSION}\"/" configure.in
+ sed -i -e "s/^<!ENTITY apt-product-version \".*\">$/<!ENTITY apt-product-version \"${VERSION}\">/" doc/apt-verbatim.ent
elif [ "$1" = 'post-build' ]; then
if [ "$DISTRIBUTION" != "UNRELEASED" ]; then
echo >&2 "REMEMBER: Tag this release with »bzr tag ${VERSION}« if you are satisfied"
else
echo >&2 'REMEMBER: Change to a valid distribution before release'
fi
+ if ! xmllint --nonet --valid --noout $(find doc/ -maxdepth 1 -name '*.xml'); then
+ echo >&2 'WARNING: original docbook manpages have errors!'
+ elif ! xmllint --nonet --valid --noout $(find doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then
+ echo >&2 'WARNING: translated docbook manpages have errors, but originals are okay!'
+ fi
elif [ "$1" = 'library' ]; then
librarysymbols() {
echo "Checking $1 in version $2"
- tmpfile=$(mktemp)
+ local tmpfile=$(mktemp)
dpkg-gensymbols -p${1}${2} -ebuild/bin/${1}.so.${2} -Idebian/${1}${2}.symbols -O/dev/null 2> /dev/null > $tmpfile
echo '=== Missing symbols:'
grep '^+#MISSING' $tmpfile